Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.value
Class FromEntityPropertyValueSelector

    java.lang.Object
      org.drools.planner.core.heuristic.selector.AbstractSelector
          org.drools.planner.core.heuristic.selector.value.AbstractValueSelector
              org.drools.planner.core.heuristic.selector.value.FromEntityPropertyValueSelector

All Implemented Interfaces:
  EventListener, Selector, ValueSelector, SolverPhaseLifecycleListener, SolverLifecycleListener

    public class FromEntityPropertyValueSelector

extends AbstractValueSelector

This is the common `ValueSelector` implementation.

Field Summary
`protected boolean` | `randomSelection`
`protected FromEntityPropertyPlanningValueRangeDescriptor` | `valueRangeDescriptor`
`protected PlanningVariableDescriptor` | `variableDescriptor`

Fields inherited from class org.drools.planner.core.heuristic.selector.AbstractSelector
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`FromEntityPropertyValueSelector(FromEntityPropertyPlanningValueRangeDescriptor valueRangeDescriptor, SelectionCacheType cacheType, boolean randomSelection)`

Method Summary
`long` | `getSize(Object entity)` Similar to `IterableSelector.getSize()`, but requires an entity.
`PlanningVariableDescriptor` | `getVariableDescriptor()`
`boolean` | `isContinuous()` If true, then `Selector.isNeverEnding()` is also true.
`boolean` | `isNeverEnding()` Is true if `Selector.isContinuous()` is true or if this selector is in random order (for most cases).
`Iterator<Object>` | `iterator(Object entity)` Similar to `Iterable.iterator()`, but requires an entity.
`String` | `toString()`

Methods inherited from class org.drools.planner.core.heuristic.selector.AbstractSelector
`getCacheType, phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.heuristic.selector.Selector
`getCacheType`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### variableDescriptor

    protected final PlanningVariableDescriptor variableDescriptor

### valueRangeDescriptor

    protected final FromEntityPropertyPlanningValueRangeDescriptor valueRangeDescriptor

### randomSelection

    protected final boolean randomSelection

Constructor Detail

### FromEntityPropertyValueSelector

    public FromEntityPropertyValueSelector(FromEntityPropertyPlanningValueRangeDescriptor valueRangeDescriptor,
                                           SelectionCacheType cacheType,
                                           boolean randomSelection)

Method Detail

### getVariableDescriptor

    public PlanningVariableDescriptor getVariableDescriptor()

  Returns:
    never null

### isContinuous

    public boolean isContinuous()

  Description copied from interface: `Selector`
  If true, then `Selector.isNeverEnding()` is also true.

  Returns:
    true if any of the value ranges are continuous (as in for example every double value between 1.2 and 1.4)

### isNeverEnding

    public boolean isNeverEnding()

  Description copied from interface: `Selector`
  Is true if `Selector.isContinuous()` is true or if this selector is in random order (for most cases). Is never true when this selector is in shuffled order (which is less scalable but more exact).

  Returns:
    true if the `Iterator.hasNext()` of the `Iterator` created by `Iterable.iterator()` never returns false.

### getSize

    public long getSize(Object entity)

  Description copied from interface: `ValueSelector`
  Similar to `IterableSelector.getSize()`, but requires an entity.

  Parameters:
    `entity` - never null
  Returns:
    the approximate number of elements generated by this `Selector`, always >= 0

### iterator

    public Iterator<Object> iterator(Object entity)

  Description copied from interface: `ValueSelector`
  Similar to `Iterable.iterator()`, but requires an entity.

  Parameters:
    `entity` - never null
  Returns:
    never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.